<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>CloseFrame</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CloseFrame";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CloseFrame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/CloseFrame.html" target="_top">Frames</a></li>
<li><a href="CloseFrame.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.framing</div>
<h2 title="Interface CloseFrame" class="title">Interface CloseFrame</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing">CloseFrameBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">CloseFrame</span>
extends <a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#ABNORMAL_CLOSE">ABNORMAL_CLOSE</a></strong></code>
<div class="block">1006 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#BUGGYCLOSE">BUGGYCLOSE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#EXTENSION">EXTENSION</a></strong></code>
<div class="block">1010 indicates that an endpoint (client) is terminating the
 connection because it has expected the server to negotiate one or
 more extension, but the server didn't return them in the response
 message of the WebSocket handshake.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#FLASHPOLICY">FLASHPOLICY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#GOING_AWAY">GOING_AWAY</a></strong></code>
<div class="block">1001 indicates that an endpoint is "going away", such as a server
 going down, or a browser having navigated away from a page.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#NEVER_CONNECTED">NEVER_CONNECTED</a></strong></code>
<div class="block">The connection had never been established</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#NO_UTF8">NO_UTF8</a></strong></code>
<div class="block">1007 indicates that an endpoint is terminating the connection
 because it has received data within a message that was not
 consistent with the type of the message (e.g., non-UTF-8 [RFC3629]
 data within a text message).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#NOCODE">NOCODE</a></strong></code>
<div class="block">1005 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#NORMAL">NORMAL</a></strong></code>
<div class="block">indicates a normal closure, meaning whatever purpose the
 connection was established for has been fulfilled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#POLICY_VALIDATION">POLICY_VALIDATION</a></strong></code>
<div class="block">1008 indicates that an endpoint is terminating the connection
 because it has received a message that violates its policy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#PROTOCOL_ERROR">PROTOCOL_ERROR</a></strong></code>
<div class="block">1002 indicates that an endpoint is terminating the connection due
 to a protocol error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#REFUSE">REFUSE</a></strong></code>
<div class="block">1003 indicates that an endpoint is terminating the connection
 because it has received a type of data it cannot accept (e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#TLS_ERROR">TLS_ERROR</a></strong></code>
<div class="block">1015 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#TOOBIG">TOOBIG</a></strong></code>
<div class="block">1009 indicates that an endpoint is terminating the connection
 because it has received a message which is too big for it to
 process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#UNEXPECTED_CONDITION">UNEXPECTED_CONDITION</a></strong></code>
<div class="block">1011 indicates that a server is terminating the connection because
 it encountered an unexpected condition that prevented it from
 fulfilling the request.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#getCloseCode()">getCloseCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/framing/CloseFrame.html#getMessage()">getMessage</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.framing.Framedata">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.java_websocket.framing.<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a></h3>
<code><a href="../../../org/java_websocket/framing/Framedata.html#append(org.java_websocket.framing.Framedata)">append</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getOpcode()">getOpcode</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getPayloadData()">getPayloadData</a>, <a href="../../../org/java_websocket/framing/Framedata.html#getTransfereMasked()">getTransfereMasked</a>, <a href="../../../org/java_websocket/framing/Framedata.html#isFin()">isFin</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NORMAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL</h4>
<pre>static final&nbsp;int NORMAL</pre>
<div class="block">indicates a normal closure, meaning whatever purpose the
 connection was established for has been fulfilled.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.NORMAL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GOING_AWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GOING_AWAY</h4>
<pre>static final&nbsp;int GOING_AWAY</pre>
<div class="block">1001 indicates that an endpoint is "going away", such as a server
 going down, or a browser having navigated away from a page.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.GOING_AWAY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROTOCOL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTOCOL_ERROR</h4>
<pre>static final&nbsp;int PROTOCOL_ERROR</pre>
<div class="block">1002 indicates that an endpoint is terminating the connection due
 to a protocol error.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.PROTOCOL_ERROR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REFUSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REFUSE</h4>
<pre>static final&nbsp;int REFUSE</pre>
<div class="block">1003 indicates that an endpoint is terminating the connection
 because it has received a type of data it cannot accept (e.g. an
 endpoint that understands only text data MAY send this if it
 receives a binary message).</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.REFUSE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NOCODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOCODE</h4>
<pre>static final&nbsp;int NOCODE</pre>
<div class="block">1005 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint. It is designated for use in
 applications expecting a status code to indicate that no status
 code was actually present.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.NOCODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ABNORMAL_CLOSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ABNORMAL_CLOSE</h4>
<pre>static final&nbsp;int ABNORMAL_CLOSE</pre>
<div class="block">1006 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint. It is designated for use in
 applications expecting a status code to indicate that the
 connection was closed abnormally, e.g. without sending or
 receiving a Close control frame.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.ABNORMAL_CLOSE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NO_UTF8">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_UTF8</h4>
<pre>static final&nbsp;int NO_UTF8</pre>
<div class="block">1007 indicates that an endpoint is terminating the connection
 because it has received data within a message that was not
 consistent with the type of the message (e.g., non-UTF-8 [RFC3629]
 data within a text message).</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.NO_UTF8">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="POLICY_VALIDATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>POLICY_VALIDATION</h4>
<pre>static final&nbsp;int POLICY_VALIDATION</pre>
<div class="block">1008 indicates that an endpoint is terminating the connection
 because it has received a message that violates its policy. This
 is a generic status code that can be returned when there is no
 other more suitable status code (e.g. 1003 or 1009), or if there
 is a need to hide specific details about the policy.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.POLICY_VALIDATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TOOBIG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOOBIG</h4>
<pre>static final&nbsp;int TOOBIG</pre>
<div class="block">1009 indicates that an endpoint is terminating the connection
 because it has received a message which is too big for it to
 process.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.TOOBIG">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EXTENSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTENSION</h4>
<pre>static final&nbsp;int EXTENSION</pre>
<div class="block">1010 indicates that an endpoint (client) is terminating the
 connection because it has expected the server to negotiate one or
 more extension, but the server didn't return them in the response
 message of the WebSocket handshake. The list of extensions which
 are needed SHOULD appear in the /reason/ part of the Close frame.
 Note that this status code is not used by the server, because it
 can fail the WebSocket handshake instead.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.EXTENSION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UNEXPECTED_CONDITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNEXPECTED_CONDITION</h4>
<pre>static final&nbsp;int UNEXPECTED_CONDITION</pre>
<div class="block">1011 indicates that a server is terminating the connection because
 it encountered an unexpected condition that prevented it from
 fulfilling the request.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.UNEXPECTED_CONDITION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TLS_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TLS_ERROR</h4>
<pre>static final&nbsp;int TLS_ERROR</pre>
<div class="block">1015 is a reserved value and MUST NOT be set as a status code in a
 Close control frame by an endpoint. It is designated for use in
 applications expecting a status code to indicate that the
 connection was closed due to a failure to perform a TLS handshake
 (e.g., the server certificate can't be verified).</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.TLS_ERROR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NEVER_CONNECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NEVER_CONNECTED</h4>
<pre>static final&nbsp;int NEVER_CONNECTED</pre>
<div class="block">The connection had never been established</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.NEVER_CONNECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BUGGYCLOSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUGGYCLOSE</h4>
<pre>static final&nbsp;int BUGGYCLOSE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.BUGGYCLOSE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FLASHPOLICY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FLASHPOLICY</h4>
<pre>static final&nbsp;int FLASHPOLICY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../constant-values.html#org.java_websocket.framing.CloseFrame.FLASHPOLICY">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCloseCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCloseCode</h4>
<pre>int&nbsp;getCloseCode()
                 throws <a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidFrameException.html" title="class in org.java_websocket.exceptions">InvalidFrameException</a></code></dd></dl>
</li>
</ul>
<a name="getMessage()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMessage</h4>
<pre>java.lang.String&nbsp;getMessage()
                            throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CloseFrame.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../org/java_websocket/framing/CloseFrameBuilder.html" title="class in org.java_websocket.framing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/framing/CloseFrame.html" target="_top">Frames</a></li>
<li><a href="CloseFrame.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
